package com.gree.mall.manager.bean.es;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.plus.entity.PgOrderWorker;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.DateFormat;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author qinrongjun
 * @description
 * @date 2023/6/19 10:39 星期一
 */
@Data
@Document(indexName = "pg_order_worker")
public class PgOrderWorkerEs  {

    @Id
    @Field(value = "id",  type = FieldType.Keyword)
    private String id;

    @ApiModelProperty(value = "工单号")
    @Field(value = "order_base_id", type = FieldType.Keyword)
    private String orderBaseId;

    @ApiModelProperty(value = "网点id")
    @Field(value = "websit_id", type = FieldType.Keyword)
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    @Field(value = "websit_name", type = FieldType.Keyword)
    private String websitName;

    @ApiModelProperty(value = "师傅id")
    @Field(value = "worker_id", type = FieldType.Keyword)
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    @Field(value = "worker_name", type = FieldType.Keyword)
    private String workerName;

    @ApiModelProperty(value = "师傅手机号")
    @Field(value = "worker_mobile", type = FieldType.Keyword)
    private String workerMobile;

    @ApiModelProperty(value = "师傅编号")
    @Field(value = "worker_number", type = FieldType.Keyword)
    private String workerNumber;

    @ApiModelProperty(value = "师傅身份证")
    @Field(value = "worker_idcard", type = FieldType.Keyword)
    private String workerIdcard;

    @ApiModelProperty(value = "师傅查询条件")
    @Field(value = "worker_query", type = FieldType.Keyword)
    private String workerQuery;

    @ApiModelProperty(value = "是否费用审批(维保工单用)")
    @Field(value = "is_examine", type = FieldType.Boolean)
    private Boolean isExamine;

    @ApiModelProperty(value = "是否为大工或主要服务人员 1=是 0=否")
    @Field(value = "is_master", type = FieldType.Boolean)
    private Boolean isMaster;

    @ApiModelProperty(value = "创建时间")
    @Field(value = "create_time", type = FieldType.Date,format = DateFormat.custom, pattern ="yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @Field(value = "update_time", type = FieldType.Date,format = DateFormat.custom, pattern ="yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "创建人")
    @Field(value = "create_by", type = FieldType.Keyword)
    private String createBy;

    @ApiModelProperty(value = "修改人")
    @Field(value = "update_by", type = FieldType.Keyword)
    private String updateBy;

}